package sensorconfig

import "encoding/json"

type SensorConfig struct {
	SensorID       json.Number `json:"id,Number,omitempty"`

	Schedule *SensorConfigSchedule      `json:"schedule,omitempty"`
	Crawler  *SensorConfigCrawler    `json:"crawler,omitempty"`
	Connection *SensorConfigConnection   `json:"connection,omitempty"`
	Items    []*SensorConfigItems     `json:"items,omitempty"`
}
